<?php
require_once 'controladores/CUsuarios.php';

header('Content-Type: application/json');

if ($_SERVER["REQUEST_METHOD"] != 'POST') {
    http_response_code(405);
    echo json_encode(['status' => 'error', 'message' => 'Método no permitido']);
    exit;
}
$json_data = file_get_contents('php://input');
$data = json_decode($json_data, true);

$cUsuarios = new CUsuarios();
$cUsuarios->actualizarUsuario($data);

$respuesta = [
    'status' => 'OK',
    'message' => 'Usuario editado'
];




echo json_encode($respuesta);
